<?php

$amusement_park_tp_theme_css = '';

$amusement_park_tp_color_option = get_theme_mod('amusement_park_tp_color_option');

// 1st color
$amusement_park_tp_color_option = get_theme_mod('amusement_park_tp_color_option', '#544983');
if ($amusement_park_tp_color_option) {
	$amusement_park_tp_theme_css .= ':root {';
	$amusement_park_tp_theme_css .= '--color-primary1: ' . esc_attr($amusement_park_tp_color_option) . ';';
	$amusement_park_tp_theme_css .= '}';
}

//preloader

$amusement_park_tp_preloader_color1_option = get_theme_mod('amusement_park_tp_preloader_color1_option');
$amusement_park_tp_preloader_color2_option = get_theme_mod('amusement_park_tp_preloader_color2_option');
$amusement_park_tp_preloader_bg_color_option = get_theme_mod('amusement_park_tp_preloader_bg_color_option');

if($amusement_park_tp_preloader_color1_option != false){
$amusement_park_tp_theme_css .='.center1{';
	$amusement_park_tp_theme_css .='border-color: '.esc_attr($amusement_park_tp_preloader_color1_option).' !important;';
$amusement_park_tp_theme_css .='}';
}
if($amusement_park_tp_preloader_color1_option != false){
$amusement_park_tp_theme_css .='.center1 .ring::before{';
	$amusement_park_tp_theme_css .='background: '.esc_attr($amusement_park_tp_preloader_color1_option).' !important;';
$amusement_park_tp_theme_css .='}';
}
if($amusement_park_tp_preloader_color2_option != false){
$amusement_park_tp_theme_css .='.center2{';
	$amusement_park_tp_theme_css .='border-color: '.esc_attr($amusement_park_tp_preloader_color2_option).' !important;';
$amusement_park_tp_theme_css .='}';
}
if($amusement_park_tp_preloader_color2_option != false){
$amusement_park_tp_theme_css .='.center2 .ring::before{';
	$amusement_park_tp_theme_css .='background: '.esc_attr($amusement_park_tp_preloader_color2_option).' !important;';
$amusement_park_tp_theme_css .='}';
}
if($amusement_park_tp_preloader_bg_color_option != false){
$amusement_park_tp_theme_css .='.loader{';
	$amusement_park_tp_theme_css .='background: '.esc_attr($amusement_park_tp_preloader_bg_color_option).';';
$amusement_park_tp_theme_css .='}';
}

// footer-bg-color
$amusement_park_tp_footer_bg_color_option = get_theme_mod('amusement_park_tp_footer_bg_color_option');

if($amusement_park_tp_footer_bg_color_option != false){
$amusement_park_tp_theme_css .='#footer{';
	$amusement_park_tp_theme_css .='background: '.esc_attr($amusement_park_tp_footer_bg_color_option).' !important;';
$amusement_park_tp_theme_css .='}';
}

// logo tagline color
$amusement_park_site_tagline_color = get_theme_mod('amusement_park_site_tagline_color');

if($amusement_park_site_tagline_color != false){
$amusement_park_tp_theme_css .='.logo h1 a, .logo p a{';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_site_tagline_color).';';
$amusement_park_tp_theme_css .='}';
}

$amusement_park_logo_tagline_color = get_theme_mod('amusement_park_logo_tagline_color');
if($amusement_park_logo_tagline_color != false){
$amusement_park_tp_theme_css .='p.site-description{';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_logo_tagline_color).';';
$amusement_park_tp_theme_css .='}';
}

// footer widget title color
$amusement_park_footer_widget_title_color = get_theme_mod('amusement_park_footer_widget_title_color');
if($amusement_park_footer_widget_title_color != false){
$amusement_park_tp_theme_css .='#footer h3{';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_footer_widget_title_color).';';
$amusement_park_tp_theme_css .='}';
}

// copyright text color
$amusement_park_footer_copyright_text_color = get_theme_mod('amusement_park_footer_copyright_text_color');
if($amusement_park_footer_copyright_text_color != false){
$amusement_park_tp_theme_css .='#footer .site-info p, #footer .site-info p a {';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_footer_copyright_text_color).';';
$amusement_park_tp_theme_css .='}';
}

// header image title color
$amusement_park_header_image_title_text_color = get_theme_mod('amusement_park_header_image_title_text_color');
if($amusement_park_header_image_title_text_color != false){
$amusement_park_tp_theme_css .='.box-text h2{';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_header_image_title_text_color).';';
$amusement_park_tp_theme_css .='}';
}

// menu color
$amusement_park_menu_color = get_theme_mod('amusement_park_menu_color');
if($amusement_park_menu_color != false){
$amusement_park_tp_theme_css .='.main-navigation a{';
$amusement_park_tp_theme_css .='color: '.esc_attr($amusement_park_menu_color).';';
$amusement_park_tp_theme_css .='}';
}


//Footer Font Weight
$amusement_park_footer_copyright_title_font_weight = get_theme_mod( 'amusement_park_footer_copyright_title_font_weight','');
if($amusement_park_footer_copyright_title_font_weight == '100'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 100;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '200'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 200;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '300'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 300;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '400'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 400;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '500'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 500;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '600'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 600;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '700'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 700;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '800'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 800;';
$amusement_park_tp_theme_css .='}';
}else if($amusement_park_footer_copyright_title_font_weight == '900'){
$amusement_park_tp_theme_css .='#footer .site-info p {';
    $amusement_park_tp_theme_css .='font-weight: 900;';
$amusement_park_tp_theme_css .='}';
}
